Description

As work on #3583 showed, object creation takes a lot more time than desired. Especially autowiring is a good target for further work.

What would mostly solve the speed issues would be a static object container, i.e. automatically generated PHP code which contains
all the wiring – hardcoded.

Related issues:
related to TYPO3.Flow - Task # 3583: Profiling of persistence framework / CR Closed 2009-06-05

Associated revisions
Revision cfee0bf0 - 2010-02-22 16:17 - Robert Lemke

[+FEATURE] FLOW3 (Object): Implemented a static object container which is automatically built. It's essentially a hardcoded version of the autowired
and configured object dependencies - just a lot faster. Many tests are still missing, but the version in this commit should be mostly functional.
Addresses #3740 and resolves #2123.
[!!!][~API] FLOW3 (Object): Heavily refactored the Object Manager and its tests. The most important change is the removal of the Object Factory
whose create() method is now located in the Object Manager. Furthermore, the getObject() method has been renamed to get() and a few minor
important API functions within the Object Manager have been modified. This commit also contains a script which allows for semi automatically
migrating existing code to the new API (see ./flow3 migrate objectmanagerusage). Resolves #6562
[~TASK] FLOW3 (Configuration): The Configuration Manager and its YAML source now doesn't depend on the YAML package anymore but refers to a
YAML parser class within the FLOW3 package. Resolves #6564.

History
#1 - 2009-07-13 11:25 - Robert Lemke
- Target version deleted (283)

#2 - 2010-01-20 17:09 - Robert Lemke
- Status changed from New to Accepted
- Target version set to 1.0 alpha 8

#3 - 2010-02-22 15:47 - Robert Lemke
- Subject changed from Optimize object creation (autowiring) to Implement a Static Object Container

#4 - 2010-02-22 15:48 - Robert Lemke
- Tracker changed from Task to Feature

#5 - 2010-03-09 17:43 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
- Estimated time set to 52.00
#6 - 2010-03-11 09:55 - Robert Lemke
- Start date changed from 2009-06-24 to 2010-01-28
